MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025300Open CASCADE[OCCT] OCCT:Visualizationpublic2014-09-30 19:432019-09-16 14:17
Reportersan 
Assigned Toski 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0025300: Visualization - Build wireframe representation consistent with the shape's triangulation
DescriptionIt is necessary to improve the wireframe representation building algorithm to generate isolines lying exactly on the triangulation, to avoid visual artifacts e.g. during selection of a shaded shape.

Several problems should be addressed:
1. Triangulation should not be built for a shape if it is going to be visualized in wireframe.
2. Isoline builder should work on the basis of {U,V} parametric data contained in the triangulation if it is available for a face and thus produce line segments lying exactly on the triangles.
3. Recomputing shaded representation of concerned AIS classes should invalidate the wireframe one.
Steps To Reproducebugs/vis/bug25300_1, bugs/vis/bug25300_2
TagsNo tags attached.
Test case numberbugs vis bug25300_1, bug25300_2
Attached Filespng file icon isolines.png (237,622 bytes) 2014-10-17 19:35
png file icon isolines2.png (1,275,624 bytes) 2014-10-21 17:22
png file icon twisted_isoline.png (177,072 bytes) 2014-10-22 14:25
png file icon tangent_projected_isoline.png (171,495 bytes) 2014-10-22 17:54
png file icon Moto_isos.png (435,103 bytes) 2015-04-17 15:21
png file icon F1_isos.png (271,952 bytes) 2015-04-17 15:22
? file icon bug25300_pencil.brep (363,583 bytes) 2015-04-17 15:22

- Relationships
parent of 0026089closedbugmaster Open CASCADE Visualization - handle degenerated edges in on-triangulation isoline builder 
related to 0022618assignedsan Open CASCADE Visualization - Tool for building generic wireframe representation of a face 
related to 0027596closedbugmaster Open CASCADE Visualization, StdPrs_WFShape - pack isolines into single group of primitives 
related to 0028181closedapn Open CASCADE Documentation - update porting note with missing information 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0033074)
git (administrator)
2014-10-14 17:02

Branch CR25300 has been created by apl.

SHA-1: 7915199d79b048472d362e709ccbed758639e088


Detailed log of new commits:

Author: apl
Date: Tue Oct 14 17:02:35 2014 +0400

    0025300: Visualization - Build wireframe representation consistent with the shape's triangulation
    
    1) Remove duplicating presentation algorithms for shapes StdPrs_WFShape, StdPrs_WFDeflectionShape.
    2) Rewrite Prs3d_WFShape to use deflection for non-triangulated shapes and rename it to StdPrs_WFShape.
    3) Revise and correct references in code.
    4) Rename StdPrs_ToolShadedShape to StdPrs_ToolTriangulatedShape (reused in StdPrs_WFShape, StdPrs_ShadedShape).
    5) Add StdPrs_BndBox for drawing bounding box presentation.
(0033075)
git (administrator)
2014-10-14 17:20

Branch CR25300 has been updated by apl.

SHA-1: 8ccf92b94f119be251e611dce33744b12a8a25ee


Detailed log of new commits:

Author: apl
Date: Tue Oct 14 17:20:27 2014 +0400

    Enabled isoline drawer

(0033126)
Timo (updater)
2014-10-15 13:36

Unitl now (OCC 6.7.1), we sometimes experienced cases when building the triangulation took extremely long, e.g. when surfaces were distorted. In these cases, it was at least possible to display the shape in wireframe mode to get an idea of how it looks and what might be the reason why the calculation of the triangulation takes so long. As far as I understand, this won't be possible anymore because also in wireframe mode the triangulation will be built.
Basically, I welcome this effort to have wireframe and shaded representation consistent, as it really sometimes looked a bit strange if the highlighting lines differed from the shaded representation.
Probably, this matter of extremely long computation of triangulation should be addressed in a separate Mantis issue. I just wanted to mention it hear as a drawback.
For solving the long computation times in extreme cases, what do you think about adding a MinSize-parameter for the triangulation? Probably, this wouldn't be a very big effort because now it uses the tolerance of the face as a minimum size. I think, it could help very much to avoid such long computation times.
(0033132)
apl (developer)
2014-10-15 14:14

Hello Timo,

Thank you for your suggestions.

The presentation building algorithm should be able to generate wireframe mode presentation even if the triangulation is not computed. Furthermore, it could reuse the triangulation if it is already computed for shading. I think that there is only a design issue that should be investigated - is how to synchronize or invalidate wireframe presentation when the shape become displayed in shading.

You are also welcome to register Mantis issues for the proposed improvements for triangulation algorithms - I guess it will be a nice context for discussion.
(0033148)
Timo (updater)
2014-10-15 16:06

OK, I've added another Mantis issue for the long computation times: #25378.
(0033291)
git (administrator)
2014-10-17 19:39

Branch CR25300 has been updated by apl.

SHA-1: aab7371cef953e440eb54c4a6bf4344af0a60811


Detailed log of new commits:

Author: apl
Date: Fri Oct 17 19:39:24 2014 +0400

    Triangulation-based isoline builder

(0033509)
git (administrator)
2014-10-21 17:43

Branch CR25300 has been updated by apl.

SHA-1: 1d339ef9ee8afc340440340d8187cd8b4ce246ec


Detailed log of new commits:

Author: apl
Date: Tue Oct 21 17:41:35 2014 +0400

    Debug of isloine builder
    - Setup triangulation-aligned location for surface.
    - Take into account degenerated edges.

(0033558)
apl (developer)
2014-10-22 14:34

Current version of isoline building algorithm uses uv coordinates of triangulation to find intersection of u-/v- isoline with triangle links. The intersection is first calculated in uv coordinates. Then the algorithm uses surface definition to find a 3D coordinates of intersection point. The point is not precisely located on the triangle's link in 3D space - it is projected onto the link to get a point on triangulation. The pictures "isolines.png", "isolines2.png" illustrate that this approach gives suitable result. However, it can be seen that the result is worse for peak of a conic surface, because the surface formed by the triangles in this area does not closely match real surface's shape ("twisted_isoline.png").
(0033582)
apl (developer)
2014-10-22 17:59

The problem with twisted isoline on triangulation (see "twisted_isoline.png") is solved by projecting a point on a triangle's link in the isoline's tangential plane (see "tangent_projected_isoline.png"). The projected point is a result of intersection of the uv isoline tangential plane with a line in 3D space representing the triangle's link.
(0033583)
git (administrator)
2014-10-22 18:11

Branch CR25300 has been updated by apl.

SHA-1: 91347258de9c29212a056cee58fea2bbd42c34a1


Detailed log of new commits:

Author: apl
Date: Wed Oct 22 18:10:54 2014 +0400

    Debug of isoline builder
    - Use isoline-tangential plane for refining isoline intersection points produced on triangle links.

(0033710)
git (administrator)
2014-10-24 20:08

Branch CR25300 has been updated forcibly by apl.

SHA-1: 209294a0e4ed3c6bca2aea808afe60bfdb383b07
(0033748)
git (administrator)
2014-10-27 20:18

Branch CR25300 has been updated by apl.

SHA-1: 58da66a4b0f519e0d0dc1d31d99a616d7edce51d


Detailed log of new commits:

Author: apl
Date: Mon Oct 27 20:18:26 2014 +0300

    Project isoline points using tangential plane.

(0033793)
abv (manager)
2014-10-29 06:07

Anton, please update the status of this development -- are we going to have it in 6.8.0?
(0034167)
git (administrator)
2014-11-07 16:19

Branch CR25300 has been updated forcibly by apl.

SHA-1: b0659d449d2aad028105fba71e37f356265e367d
(0039060)
git (administrator)
2015-03-31 19:04

Branch CR25300_1 has been created by vpa.

SHA-1: cc6b68563cef3b184cd18aa5981f5481606fd8f1


Detailed log of new commits:

Author: vpa
Date: Tue Mar 31 16:56:09 2015 +0300

    Isoline builder algorithm - correct handling of pipe surfaces
(0039717)
git (administrator)
2015-04-14 18:52

Branch CR25300_2 has been created by vpa.

SHA-1: 6c953fb629fea323e3e6fa79bb6782f654e4886d


Detailed log of new commits:

Author: vpa
Date: Tue Apr 14 18:51:46 2015 +0300

    Isolines are now calculated using proportion between triangle nodes and isoline-edge intersection point in UV space;
    Added option -isoontriangulation to vaspects command
(0039816)
git (administrator)
2015-04-15 19:38

Branch CR25300_3 has been created by vpa.

SHA-1: aa9c817172a218d2ec07ccf48fba4f5dc32b3675


Detailed log of new commits:

Author: vpa
Date: Wed Apr 15 19:38:07 2015 +0300

    Some rebase errors were fixed

Author: vpa
Date: Tue Apr 14 18:51:46 2015 +0300

    Isolines are now calculated using proportion between triangle nodes and isoline-edge intersection point in UV space;
    Added option -isoontriangulation to vaspects command

Author: apl
Date: Wed Oct 29 19:53:53 2014 +0300

    Triangulation-based isolines should be enabled by an option of Prs3d_Drawer.

Author: apl
Date: Mon Oct 27 20:18:26 2014 +0300

    Project isoline points using tangential plane.

Author: apl
Date: Fri Oct 24 20:04:36 2014 +0400

    Isoline builder algorithm - construct polyline, drop off points which do not correspond to the isoline direction on real surface.

Author: apl
Date: Wed Oct 22 18:10:54 2014 +0400

    Isoline builder algorithm - use tangential plane for refining intersection points produced on triangle links.

Author: apl
Date: Tue Oct 21 17:41:35 2014 +0400

    Debug of isloine builder
    - Setup triangulation-aligned location for surface.
    - Take into account degenerated edges.

Author: apl
Date: Tue Oct 14 17:20:27 2014 +0400

    Triangulation-based isoline builder

Author: apl
Date: Tue Oct 14 17:02:35 2014 +0400

    0025300: Visualization - Build wireframe representation consistent with the shape's triangulation
    
    1) Remove duplicating presentation algorithms for shapes StdPrs_WFShape, StdPrs_WFDeflectionShape.
    2) Rewrite Prs3d_WFShape to use deflection for non-triangulated shapes and rename it to StdPrs_WFShape.
    3) Revise and correct references in code.
    4) Rename StdPrs_ToolShadedShape to StdPrs_ToolTriangulatedShape (reused in StdPrs_WFShape, StdPrs_ShadedShape).
    5) Add StdPrs_BndBox for drawing bounding box presentation.
(0039836)
git (administrator)
2015-04-16 12:12

Branch CR25300_3 has been updated by vpa.

SHA-1: 42a2a93c0bfa66da9ab2cdefe9ae2b34c9fcba60


Detailed log of new commits:

Author: vpa
Date: Thu Apr 16 12:12:31 2015 +0300

    Code cleanup

(0039921)
git (administrator)
2015-04-16 19:45

Branch CR25300_3 has been updated by vpa.

SHA-1: ba007e5766a92a08a9872fea0e3843d6346f51c5


Detailed log of new commits:

Author: vpa
Date: Thu Apr 16 19:45:04 2015 +0300

    Added test cases;
    Warnings on Linux were eliminated

(0039922)
git (administrator)
2015-04-16 20:13

Branch CR25300_3 has been updated by vpa.

SHA-1: b7531a0dd0ff420b8c214d3c65aa8050fb86bbb9


Detailed log of new commits:

Author: vpa
Date: Thu Apr 16 20:13:23 2015 +0300

    Small correction

(0039948)
git (administrator)
2015-04-17 12:10

Branch CR25300_3 has been updated by vpa.

SHA-1: f32692fbf2828512f3bd7c957c4a8f80e47cdfdd


Detailed log of new commits:

Author: vpa
Date: Fri Apr 17 12:10:47 2015 +0300

    Handle the cases of degenerated edges by using ortho projections of triangle nodes onto isolone;
    Corrections of test cases

(0039949)
git (administrator)
2015-04-17 13:15

Branch CR25300_4 has been created by vpa.

SHA-1: f09b752232c019df90f0c4ab91e46b12a6997700


Detailed log of new commits:

Author: vpa
Date: Fri Apr 17 13:13:00 2015 +0300

    0025300: Visualization - Build wireframe representation consistent with the shape's triangulation
    
    1) Remove duplicating presentation algorithms for shapes StdPrs_WFShape, StdPrs_WFDeflectionShape.
    2) Rewrite Prs3d_WFShape to use deflection for non-triangulated shapes and rename it to StdPrs_WFShape.
    3) Revise and correct references in code.
    4) Rename StdPrs_ToolShadedShape to StdPrs_ToolTriangulatedShape (reused in StdPrs_WFShape, StdPrs_ShadedShape).
    5) Add StdPrs_BndBox for drawing bounding box presentation.
    6) Implemented on-triangulation isoline builder.
    7) Add option -isoontriangulation to vaspects command to enable on-triangulation isoline builder for shape.
(0039959)
vpa (developer)
2015-04-17 15:28
edited on: 2015-04-17 15:34

Dear Kirill,

the patch in branch CR25300_4 is ready to be reviewed.

For screenshots of on-triangulation isoline builder algorithm in comparsion to old isolines builder, please see attached files Moto_isos.png and F1_isos.png.

Please note that for testing it is needed to put attached file bug25300_pencil.brep into public data set.

(0040020)
kgv (developer)
2015-04-17 23:30
edited on: 2015-04-17 23:32

Dear Varvara,

the patch reverts modifications of several previously integrated patches!

-void StdPrs_ShadedShape::Tessellate (const TopoDS_Shape&          theShape,
-                                     const Handle (Prs3d_Drawer)& theDrawer)
-{
-  // Check if it is possible to avoid unnecessary recomputation of shape triangulation
-  Standard_Real aDeflection = Prs3d::GetDeflection (theShape, theDrawer);
-  if (BRepTools::Triangulation (theShape, aDeflection))
-  {
-    return;
-  }
-
-  // retrieve meshing tool from Factory
-  Handle(BRepMesh_DiscretRoot) aMeshAlgo = BRepMesh_DiscretFactory::Get().Discret (theShape,
-                                                                                   aDeflection,
-                                                                                   theDrawer->HLRAngle());

-  if (!aMeshAlgo.IsNull())
-  {
-    aMeshAlgo->Perform();
-  }
+void StdPrs_ToolTriangulatedShape::Tessellate (const TopoDS_Shape&         theShape,
+                                               const Handle(Prs3d_Drawer)& theDrawer)
+{
+  // Check if it is possible to avoid unnecessary recomputation of shape triangulation
+  if (IsTessellated (theShape, theDrawer))
+  {
+    return;
+  }
+
+  Standard_Real aDeflection = Prs3d::GetDeflection (theShape, theDrawer);
+
+  // retrieve meshing tool from Factory
+  BRepTools::Clean (theShape); <<<
+  Handle(BRepMesh_DiscretRoot) aMeshAlgo = BRepMesh_DiscretFactory::Get().Discret (theShape,
+                                                                                   aDeflection,
+                                                                                   theDrawer->HLRAngle());

+  if (!aMeshAlgo.IsNull())
+  {
+    aMeshAlgo->Perform();
+  }
+}

reverts modification from #0025142.

@@ -320,7 +320,17 @@ void AIS_ColoredShape::Compute (const Handle(PrsMgr_PresentationManager3d)& 
,
       }
       // After this call if type of deflection is relative
       // computed deflection coefficient is stored as absolute.
-      StdPrs_ShadedShape::Tessellate (myshape, myDrawer);
+      StdPrs_ToolTriangulatedShape::Tessellate (myshape, myDrawer);
+    }
+    if (!StdPrs_ToolTriangulatedShape::IsTessellated (myshape, myDrawer))
+    {
+      StdPrs_ToolTriangulatedShape::Tessellate (myshape, myDrawer);
+
+      // Set to update wireframe presentation on triangulation.
+      if (myDrawer->IsoOnTriangulation())
+      {
+        SetToUpdate (AIS_WireFrame);
+      }

and
@@ -176,42 +188,68 @@ void AIS_Shape::Compute(const Handle(PrsMgr_PresentationManager3d)& /*aPresentat
           
BRepTools::Clean (myshape);
         }
       }
+      if (!StdPrs_ToolTriangulatedShape::IsTessellated (myshape, myDrawer))
+      {
+        StdPrs_ToolTriangulatedShape::Tessellate (myshape, myDrawer);
+
+        // Set to update wireframe presentation on triangulation.
+        if (myDrawer->IsoOnTriangulation())
+        {
+          SetToUpdate (AIS_WireFrame);
+        }
+      }

and
@@ -444,17 +444,27 @@ void AIS_TexturedShape::Compute (const Handle(PrsMgr_PresentationManager3d)& 
/*t
           BRepTools::Clean (myshape);
         }
       }
+      if (!StdPrs_ToolTriangulatedShape::IsTessellated (myshape, myDrawer))
+      {
+        StdPrs_ToolTriangulatedShape::Tessellate (myshape, myDrawer);
+
+        // Set to update wireframe presentation on triangulation.
+        if (myDrawer->IsoOnTriangulation())
+        {
+          SetToUpdate (AIS_WireFrame);
+        }
+      }

reverts 0023200 and bugfix from 0026014 (please check also #0025540) - contact osa for details. The tessellation should NOT be performed with IsAutoTriangulation() flag turned off! Iso-lines on triangulation should be implicitly replaced by conventional isoline in case of mesh absence regardless of IsoOnTriangulation() flag.

+void AIS_InteractiveContext::SetIsoOnTriangulation (const Standard_Boolean theIsEnabled,
+                                                    const Handle(AIS_InteractiveObject)& theObject)

+{
+  if (theObject.IsNull())
+  {
+    myDefaultDrawer->SetIsoOnTriangulation (theIsEnabled);
+    return;
+  }

the method behavior is inconsistent to other similar methods - there no such convention to modify default Drawer in such way.

+++ b/src/StdPrs/StdPrs_Isolines.cxx
+#include <Adaptor3d_IsoCurve.hxx>
+#include <BRepTools.hxx>
+#include <BRep_Tool.hxx>
+#include <ElCLib.hxx>
+#include <ElSLib.hxx>
+#include <GCPnts_AbscissaPoint.hxx>
+#include <GeomLib_Tool.hxx>
+#include <TColgp_Array1OfPnt.hxx>
+#include <TColgp_Array1OfPnt2d.hxx>
+#include <TColStd_Array1OfInteger.hxx>
+#include <TColStd_SequenceOfReal.hxx>
+#include <TColgp_SequenceOfPnt2d.hxx>
+#include <NCollection_List.hxx>
+#include <NCollection_QuickSort.

cosmetics, please prefer alphabetical order.

+  inline Handle(Graphic3d_ArrayOfSegments) PrimitivesForPolyline (const Prs3d_NSequenceOfSequenceOfPnt& 
thePoints)
+  {
+    if (thePoints.IsEmpty())
+    {
+      return NULL;
+    }

cosmetics, please prefer returning empty constructor Handle(Graphic3d_ArrayOfSegments)() instead of NULL.

+    Prs3d_NListIteratorOfListOfSequenceOfPnt anIt;
+    for (Prs3d_NSequenceOfSequenceOfPnt::Iterator anIt (thePoints); anIt.More(); anIt.Next())
+    {

this is bad style to create local variable with the same name.

+++ b/src/StdPrs/StdPrs_Isolines.cxx
+    Standard_Real aDelta = 1;

cosmetics, 1.0

+  inline Standard_Boolean Project (const gp_Pln& thePlane,

cosmetics, local and private methods are better spelled low-case.

+      Handle(TColgp_HSequenceOfPnt) anIsoPnts = aUPolylines.ChangeValue (aUIsoIndexes.Value (anIsoIdx));


const Handle(TColgp_HSequenceOfPnt)&

+    if (Abs (aDistanceUV2) < Precision::PConfusion())
+    {
+     theSegment[aNPoints++] = aNode2;
+      aLinkIter++;

indentation.

+    // Isoline crosses degenerated link.
+    if (aNode1.Distance (aNode2) < Precision::PConfusion())
+    {

hint - SquaredDistance()?

+//! Tool for computing isoline presentation for a triangulated face and or surface.
+class StdPrs_Isolines : public Prs3d_Root

revise text.


+namespace
+{
+  typedef NCollection_List<Handle(TColgp_HSequenceOfPnt)> ListOfSequenceOfPnt;
+};

redundant ;

+  Standard_Integer aNbVertices = aSurfPoints.Length();
+  Standard_Integer aNbBounds   = (Standard_Integer)aNbVertices / 2;

what for this cast?

+  Handle(Graphic3d_ArrayOfPolylines) aSurfArray = new Graphic3d_ArrayOfPolylines (aNbVertices, aNbBounds);

+  for (Standard_Integer anI = 1; anI <= aNbVertices; anI += 2)
+  {
+    aSurfArray->AddBound (2);
+    aSurfArray->AddVertex (aSurfPoints.Value (anI));
+    aSurfArray->AddVertex (aSurfPoints.Value (anI + 1));
+  }

why not ArrayOfSegments?

+  else if (aCmdName == "visoontriangulation")
...
+  theCommands.Add ("visoontriangulation",
+                    "visoontriangulation [name] [0|1]"
+                    "\n\t\t: Alias for vaspects -isoontirangulation [name] [0|1].",
+                    __FILE__, VAspects, group);

this does not look reasonable to create such alias.

+      aDrawer->SetIsoOnTriangulation (aChangeSet->ToEnableIsoOnTriangulation);

aDrawer->SetIsoOnTriangulation (aChangeSet->ToEnableIsoOnTriangulation == 1);

+vinit

vinit View1
vclear
vaxo

+vviewparams -scale 9787.9970467038638 -proj -0.011455629713785871 -0.99982938298007373 0.014490461605680582

+vviewparams -up -0.015526407227439337 0.014667523215136941 0.99977187119929578 -at 0.050299998372793191 
8.8835102362048592e-020 -1.5178830414797062e-018

parameters precision looks excessive.

+# Visualization - Build wireframe representation consistent with the shape's triangulation
+#

puts.

(0040085)
git (administrator)
2015-04-21 20:11

Branch CR25300_3 has been updated by vpa.

SHA-1: e5a84f294af877b6b019eb7dddb70ad2a44fe234


Detailed log of new commits:

Author: vpa
Date: Tue Apr 21 16:34:47 2015 +0300

    Remarks

Author: vpa
Date: Fri Apr 17 13:11:29 2015 +0300

    Correction in test case and vaspects description;
    Added copyrights

(0040086)
git (administrator)
2015-04-22 00:04

Branch CR25300_3 has been updated by vpa.

SHA-1: c75e848fe163acec7bfc779e54ac67aa0d6b5e5f


Detailed log of new commits:

Author: vpa
Date: Wed Apr 22 00:03:07 2015 +0300

    Replaced segments array by polyline one for on-surface isoline builder

(0040087)
git (administrator)
2015-04-22 00:48

Branch CR25300_3 has been updated forcibly by vpa.

SHA-1: 148cd88163c47b4f15a30f3f76331ec00956304f
(0040088)
git (administrator)
2015-04-22 00:55

Branch CR25300_4 has been updated forcibly by vpa.

SHA-1: f31aa91c018f55c747c667ad25d2f9e027e51151
(0040097)
vpa (developer)
2015-04-22 12:29

Dear Kirill,

the patch in branch CR25300_4 was updated according to your remarks. Please, review.
(0040138)
kgv (developer)
2015-04-22 23:56

-      StdPrs_ShadedShape::Tessellate (myshape, myDrawer);
+      StdPrs_ToolTriangulatedShape::Tessellate (myshape, myDrawer);
+
+      // Set to update wireframe presentation on triangulation.
+      if (myDrawer->IsoOnTriangulation())
+      {
+        SetToUpdate (AIS_WireFrame);
+      }

it does not looks reasonable to request re-computation of Wireframe presentation after every re-computation of Shaded presentation.
This flag should be switched only if triangulation has been actually changed (e.g. by returning state from StdPrs_ToolTriangulatedShape::Tessellate() call).

+---Purpose: Enables or disables on-triangulation build for isolines.

the description can be extended by specifying how isolines will be computed in other case.

+  //! Returns True if the drawing of isos on triangulation is enabled.
+  Standard_Boolean IsoOnTriangulation() const { return myIsoOnTriangulation; }

the implementation is inconsistent - the flag should be taken from the Link() until it is not specified explicitly to this instance of the Drawer.
(0043714)
git (administrator)
2015-07-30 18:49

Branch CR25300_5 has been created by vpa.

SHA-1: febabfab56d749b6fef2ee60a53b3a218d34807b


Detailed log of new commits:

Author: vpa
Date: Thu Jul 30 17:12:29 2015 +0300

    Remarks:
    - unneccessary update of colored shape's wireframe representation was eliminated;
    - added missing comments;
    - Prs3d_Drawer::IsoOnTriangulation behavior was corrected.

Author: vpa
Date: Tue Jul 28 15:32:23 2015 +0300

    Porting errors were fixed

Author: vpa
Date: Wed Apr 22 00:53:37 2015 +0300

    0025300: Visualization - Build wireframe representation consistent with the shape's triangulation
    
    1) Remove duplicating presentation algorithms for shapes StdPrs_WFShape, StdPrs_WFDeflectionShape.
    2) Rewrite Prs3d_WFShape to use deflection for non-triangulated shapes and rename it to StdPrs_WFShape.
    3) Revise and correct references in code.
    4) Rename StdPrs_ToolShadedShape to StdPrs_ToolTriangulatedShape (reused in StdPrs_WFShape, StdPrs_ShadedShape).
    5) Add StdPrs_BndBox for drawing bounding box presentation.
    6) Implemented on-triangulation isoline builder.
    7) Add option -isoontriangulation to vaspects command to enable on-triangulation isoline builder for shape.
(0043715)
git (administrator)
2015-07-30 19:39

Branch CR25300_5 has been updated forcibly by vpa.

SHA-1: b8b1164f3b9c2339b9099c220d0800ef2b702e05
(0043716)
vpa (developer)
2015-07-30 19:40

Dear Kirill,

please review patch in branch CR25300_5.
(0043717)
kgv (developer)
2015-07-31 09:31

Please test the patch.
(0043757)
git (administrator)
2015-07-31 15:33

Branch CR25300_5 has been updated forcibly by apv.

SHA-1: 1eac9bafeb2338fb559a49fad5b03e420d90c4b0
(0043759)
apv (tester)
2015-07-31 15:33

Branch CR25300_5 has been rebased on the current master
(0043775)
apv (tester)
2015-08-03 10:02

Dear BugMaster,

There are a lot of compilation errors have been detected during testing of branch CR25300_5.
occt on Linux:
http://jenkins-test-01.nnov.opencascade.com/view/CR25300-5-master/job/CR25300-5-master_build_occt_linux/2/parsed_console/ [^]
occt on MacOS:
http://jenkins-test-01.nnov.opencascade.com/view/CR25300-5-master/job/CR25300-5-master_prepare_build_occt_MacOS/1/parsed_console/ [^]
mfc-samples (occt) on Windows:
http://jenkins-test-01.nnov.opencascade.com/view/CR25300-5-master/job/CR25300-5-master_build_occt_mfc_samples_windows/2/parsed_console/ [^]
(0043895)
git (administrator)
2015-08-06 21:06

Branch CR25300_5 has been updated by vpa.

SHA-1: e4b888b38d71c5cfba35a92c3ed198657394f13f


Detailed log of new commits:

Author: vpa
Date: Thu Aug 6 21:03:21 2015 +0300

    Unix compilation errors were eliminated

(0043899)
git (administrator)
2015-08-07 11:23

Branch CR25300_5 has been updated forcibly by vpa.

SHA-1: e85d1d8f186c2c773708dc302d2187736c117b6b
(0043900)
vpa (developer)
2015-08-07 11:25

Dear Bugmaster,

compilation errors were fixed. Please, test updated patch in branch CR25300_5.
(0043923)
mkv (tester)
2015-08-07 16:12

Dear vpa,
could you please rebase branch CR25300_5 on current master, there are conflict files.
(0043924)
git (administrator)
2015-08-07 16:20

Branch CR25300_5 has been updated forcibly by vpa.

SHA-1: 944bdd77cdcae7ebac77f4e571b6fcf241b58890
(0043925)
vpa (developer)
2015-08-07 16:21

Dear Mikhail,

CR25300_5 was rebased on current master. Please, test.
(0043932)
mkv (tester)
2015-08-10 11:41

Dear BugMaster,
Branch CR25300_5 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 944bdd77cdcae7ebac77f4e571b6fcf241b58890

Number of compiler warnings:

occt component :
Linux: 16 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

There is new additional compilation warning on Linux platform:
http://jenkins-test-01.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_17008/job/CR25300-5-master_build_occt_linux/1/warnings17Result/package.-15683719/ [^]
StdPrs_WFSurface.cxx:149, GNU C Compiler 4 (gcc), Priority: Normal
variable 'TheDeflection' set but not used [-Wunused-but-set-variable]

There are compilation erors in MFC samples products on windows platform:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR25300-5-master/job/CR25300-5-master_build_products_mfc_samples_windows/2/parsed_console/ [^]
1> StdAfx.cpp
1>d:\builds\vc10\cr25300-5-master-products-64\samples\mfc\bfit\mfcsample\..\Common\stdafx.h(61): fatal error C1083: Cannot open include file: 'StdPrs_WFDeflectionShape.hxx': No such file or directory
1>
1>Build FAILED.

2> Generating Code...
2>LINK : fatal error LNK1181: cannot open input file 'd:\builds\vc10\CR25300-5-master-products-64\samples\mfc\BFIT\mfcsample\Release\mfcsample.lib'
2>
2>Build FAILED.

1>src\Kernel_MeshPrs.cxx(27): fatal error C1083: Cannot open include file: 'StdPrs_WFDeflectionShape.hxx': No such file or directory
1> LibDefinition.cpp

1>d:\builds\vc10\CR25300-5-master-products-64\samples\mfc\shapehealer\inc\stdafx.h(211): fatal error C1083: Cannot open include file: 'StdPrs_ToolShadedShape.hxx': No such file or directory
1>
1>Build FAILED.


There are compilation erors in Qt samples products on windows platform:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR25300-5-master/job/CR25300-5-master_build_products_qt_samples_windows/2/parsed_console/ [^]
1>src\SCATexturedShape.cxx(24): fatal error C1083: Cannot open include file: 'StdPrs_WFDeflectionShape.hxx': No such file or directory

Regressions/Differences/Improvements:
http://occt-tests/CR25300-5-master-occt-64/Debian70-64/bugs/moddata_1/bug22789.html [^]
http://occt-tests/CR25300-5-master-occt-64/Windows-64-VC10/bugs/moddata_1/bug22789.html [^]
bugs moddata_1 bug22789: FAILED

http://occt-tests/CR25300-5-master-occt-64/Debian70-64/bugs/moddata_1/bug22761.html [^]
http://occt-tests/CR25300-5-master-occt-64/Windows-64-VC10/bugs/moddata_1/bug22761.html [^]
bugs moddata_1 bug22761: FAILED

http://occt-tests/CR25300-5-master-occt-64/Debian70-64/bugs/vis/bug25935.html [^]
http://occt-tests/CR25300-5-master-occt-64/Windows-64-VC10/bugs/vis/bug25935.html [^]
bugs vis bug25935: FAILED

Testing cases:
http://occt-tests/CR25300-5-master-occt-64/Debian70-64/bugs/vis/bug25300_1.html [^]
http://occt-tests/CR25300-5-master-occt-64/Windows-64-VC10/bugs/vis/bug25300_1.html [^]
bugs vis bug25300_1: OK

http://occt-tests/CR25300-5-master-occt-64/Debian70-64/bugs/vis/bug25300_2.html [^]
http://occt-tests/CR25300-5-master-occt-64/Windows-64-VC10/bugs/vis/bug25300_2.html [^]
bugs vis bug25300_2: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91477836 / 90931781 [+0.60%]
Total CPU difference: 17883.6399999989 / 17850.619999998893 [+0.18%]
products component :
Total MEMORY difference: 25113656 / 24839770 [+1.10%]
Total CPU difference: 6915.270000000015 / 7006.500000000006 [-1.30%]

Testing on Windows:
occt component :
Total MEMORY difference: 57073623 / 56916033 [+0.28%]
Total CPU difference: 16729.703240999377 / 16684.587751799027 [+0.27%]
products component :
Total MEMORY difference: 16114482 / 16020133 [+0.59%]
Total CPU difference: 5318.261291199961 / 5276.952226399962 [+0.78%]

There are following differences in images found by testdiff.
http://occt-tests/CR25300-5-master-occt-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR25300-5-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE bugs vis bug129_2: bug129_2_Driver1_Viewer1_View1.png differs
(0043957)
git (administrator)
2015-08-10 21:17

Branch CR25300_5 has been updated by vpa.

SHA-1: 176a3d22d9b8a21154d01f2880a8bf5df2ffc249


Detailed log of new commits:

Author: vpa
Date: Mon Aug 10 20:44:59 2015 +0300

    Linux warning was eliminated;
    Crashes were fixed

(0043983)
git (administrator)
2015-08-11 17:19

Branch CR25300_5 has been updated forcibly by vpa.

SHA-1: 3ab3de8220fca9f12f3a8995a13971d390e3a2d1
(0043985)
git (administrator)
2015-08-11 17:27

Branch CR25300_6 has been created by vpa.

SHA-1: c0e6bf78ac07bee6b365bceda06566fb835df893


Detailed log of new commits:

Author: vpa
Date: Wed Apr 22 00:53:37 2015 +0300

    0025300: Visualization - Build wireframe representation consistent with the shape's triangulation
    
    1) Remove duplicating presentation algorithms for shapes StdPrs_WFShape, StdPrs_WFDeflectionShape.
    2) Rewrite Prs3d_WFShape to use deflection for non-triangulated shapes and rename it to StdPrs_WFShape.
    3) Revise and correct references in code.
    4) Rename StdPrs_ToolShadedShape to StdPrs_ToolTriangulatedShape (reused in StdPrs_WFShape, StdPrs_ShadedShape).
    5) Add StdPrs_BndBox for drawing bounding box presentation.
    6) Implemented on-triangulation isoline builder.
    7) Add option -isoontriangulation to vaspects command to enable on-triangulation isoline builder for shape.
    8) Drawer's maximum UV parameter value is taken into account in isolines calculation correctly.
    9) Add option -setMaxParamValue to vaspects command to change drawer's maximum UV parameter value.
(0043986)
vpa (developer)
2015-08-11 17:28

Dear Anton,

regressions and compilation errors were fixed, please review patch in branch CR25300_6 (and CR25300 in OCCT products).
(0044089)
apl (developer)
2015-08-13 15:40

Dear bugmaster,

Please test the patch.
(0044106)
git (administrator)
2015-08-13 19:25

Branch CR25300_6 has been updated forcibly by mkv.

SHA-1: fd4a433a72def47c57cba53e8b3ae86841be7767
(0044354)
mkv (tester)
2015-08-17 17:43

Dear BugMaster,
Branch CR25300_6 was rebased on current master of occt git-repository.
SHA-1: fd4a433a72def47c57cba53e8b3ae86841be7767
Branch CR25300 was rebased on current master of products git-repository.
SHA-1: 4e2484bdf84b0f4db12428fcaa818d5b9f71ad48
(0044355)
mkv (tester)
2015-08-17 17:44

Dear BugMaster,
Branch CR25300_6 from occt git-repository (and CR25300 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: fd4a433a72def47c57cba53e8b3ae86841be7767
SHA-1: 4e2484bdf84b0f4db12428fcaa818d5b9f71ad48

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

There are compilation errors in Products Qt samples on Windows platform:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR25300-6-CR25300/job/CR25300-6-CR25300_build_products_qt_samples_windows/1/parsed_console/ [^]
1>src\SCATexturedShape.cxx(416): error C2065: 'Graphic3d_ArrayOfPoints' : undeclared identifier
1>src\SCATexturedShape.cxx(416): error C2061: syntax error : identifier 'Graphic3d_ArrayOfPoints'
1>src\SCATexturedShape.cxx(416): error C2512: 'opencascade::handle' : no appropriate default constructor available
1>src\SCATexturedShape.cxx(417): error C2678: binary '->' : no operator found which takes a left-hand operand of type 'opencascade::handle' (or there is no acceptable conversion)
1> d:\builds\vc10\CR25300-6-CR25300-occt-64\inc\Standard_Handle.hxx(114): could be 'T *opencascade::handle<T>::operator ->(void) const'
1> while trying to match the argument list '(opencascade::handle)'
1>src\SCATexturedShape.cxx(417): error C2039: 'AddVertex' : is not a member of 'opencascade::handle'
1> d:\builds\vc10\CR25300-6-CR25300-occt-64\inc\Standard_Handle.hxx(36) : see declaration of 'opencascade::handle'
1>src\SCATexturedShape.cxx(418): error C2664: 'void Graphic3d_Group::AddPrimitiveArray(const opencascade::handle<T> &,const Standard_Boolean)' : cannot convert parameter 1 from 'opencascade::handle' to 'const opencascade::handle<T> &'

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR25300-6-master-occt-64/Debian70-64/bugs/vis/bug25300_1.html [^]
http://occt-tests/CR25300-6-master-occt-64/Windows-64-VC10/bugs/vis/bug25300_1.html [^]
bugs vis bug25300_1: OK

http://occt-tests/CR25300-6-master-occt-64/Debian70-64/bugs/vis/bug25300_2.html [^]
http://occt-tests/CR25300-6-master-occt-64/Windows-64-VC10/bugs/vis/bug25300_2.html [^]
bugs vis bug25300_2: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91550201 / 90696435 [+0.94%]
Total CPU difference: 17745.419999999085 / 17770.34999999896 [-0.14%]
products component :
Total MEMORY difference: 25036318 / 24839015 [+0.79%]
Total CPU difference: 6823.51 / 6874.220000000016 [-0.74%]

Testing on Windows:
occt component :
Total MEMORY difference: 57043240 / 56853927 [+0.33%]
Total CPU difference: 16548.336478399146 / 16438.152972099302 [+0.67%]
products component :
Total MEMORY difference: 16113376 / 16011533 [+0.64%]
Total CPU difference: 5282.427861499955 / 5264.284945199952 [+0.34%]

There are no differences in images found by testdiff.
(0044374)
vpa (developer)
2015-08-18 12:31

Dear Bugmaster,

compilation error was fixed, please test updated branch CR25300 in OCCT products git repository.
(0044390)
mkv (tester)
2015-08-18 18:10

Dear BugMaster,
Branch CR25300_6 from occt git-repository (and CR25300 from products git-repository) was recompiled on Linux and Windows platforms and tested on Release mode for products part.
SHA-1: 9b069a82dd6ffa88dad7e3883c410f6dbb1b529c

Number of compiler warnings:

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing on Linux:
products component :
Total MEMORY difference: 25036318 / 24839015 [+0.79%]
Total CPU difference: 6823.51 / 6874.220000000016 [-0.74%]

Testing on Windows:
products component :
Total MEMORY difference: 16119654 / 16017814 [+0.64%]
Total CPU difference: 5316.779281699962 / 5265.439352599951 [+0.98%]

There are no differences in images found by testdiff.
(0046907)
git (administrator)
2015-10-16 16:23

Branch CR25300 has been deleted by kgv.

SHA-1: b0659d449d2aad028105fba71e37f356265e367d
(0046908)
git (administrator)
2015-10-16 16:23

Branch CR25300_1 has been deleted by kgv.

SHA-1: cc6b68563cef3b184cd18aa5981f5481606fd8f1
(0046909)
git (administrator)
2015-10-16 16:23

Branch CR25300_2 has been deleted by kgv.

SHA-1: 6c953fb629fea323e3e6fa79bb6782f654e4886d
(0046910)
git (administrator)
2015-10-16 16:23

Branch CR25300_3 has been deleted by kgv.

SHA-1: 148cd88163c47b4f15a30f3f76331ec00956304f
(0046911)
git (administrator)
2015-10-16 16:23

Branch CR25300_4 has been deleted by kgv.

SHA-1: f31aa91c018f55c747c667ad25d2f9e027e51151
(0046912)
git (administrator)
2015-10-16 16:23

Branch CR25300_5 has been deleted by kgv.

SHA-1: 3ab3de8220fca9f12f3a8995a13971d390e3a2d1
(0046913)
git (administrator)
2015-10-16 16:23

Branch CR25300_6 has been deleted by kgv.

SHA-1: fd4a433a72def47c57cba53e8b3ae86841be7767

- Related Changesets
occt: master 5ad8c033
Timestamp: 2015-04-21 21:53:37
Author: vpa
Committer: ski
Details ] Diff ]
0025300: Visualization - Build wireframe representation consistent with the shape's triangulation

1) Remove duplicating presentation algorithms for shapes StdPrs_WFShape, StdPrs_WFDeflectionShape.
2) Rewrite Prs3d_WFShape to use deflection for non-triangulated shapes and rename it to StdPrs_WFShape.
3) Revise and correct references in code.
4) Rename StdPrs_ToolShadedShape to StdPrs_ToolTriangulatedShape (reused in StdPrs_WFShape, StdPrs_ShadedShape).
5) Add StdPrs_BndBox for drawing bounding box presentation.
6) Implemented on-triangulation isoline builder.
7) Add option -isoontriangulation to vaspects command to enable on-triangulation isoline builder for shape.
8) Drawer's maximum UV parameter value is taken into account in isolines calculation correctly.
9) Add option -setMaxParamValue to vaspects command to change drawer's maximum UV parameter value.
mod - samples/mfc/standard/01_Geometry/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/Common/ISession2D/ISession2D_Shape.cpp Diff ] File ]
mod - samples/mfc/standard/Common/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/Common/User_Cylinder.cxx Diff ] File ]
mod - src/AIS/AIS.cxx Diff ] File ]
mod - src/AIS/AIS_ColoredShape.cxx Diff ] File ]
mod - src/AIS/AIS_ConnectedInteractive.cxx Diff ] File ]
mod - src/AIS/AIS_IdenticRelation.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/AIS/AIS_InteractiveObject.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveObject.hxx Diff ] File ]
mod - src/AIS/AIS_OffsetDimension.cxx Diff ] File ]
mod - src/AIS/AIS_PointCloud.cxx Diff ] File ]
mod - src/AIS/AIS_Relation.cxx Diff ] File ]
mod - src/AIS/AIS_Shape.cxx Diff ] File ]
mod - src/AIS/AIS_TexturedShape.cxx Diff ] File ]
mod - src/Prs3d/FILES Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.hxx Diff ] File ]
rm - src/Prs3d/Prs3d_WFShape.cxx Diff ] File ]
rm - src/Prs3d/Prs3d_WFShape.hxx Diff ] File ]
mod - src/StdPrs/FILES Diff ] File ]
add - src/StdPrs/StdPrs_BndBox.cxx Diff ] File ]
add - src/StdPrs/StdPrs_BndBox.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_Curve.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_Curve.hxx Diff ] File ]
add - src/StdPrs/StdPrs_Isolines.cxx Diff ] File ]
add - src/StdPrs/StdPrs_Isolines.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_ShadedShape.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_ShadedShape.hxx Diff ] File ]
rm - src/StdPrs/StdPrs_ToolShadedShape.hxx Diff ] File ]
add - src/StdPrs/StdPrs_ToolTriangulatedShape.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_WFDeflectionRestrictedFace.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_WFDeflectionRestrictedFace.hxx Diff ] File ]
rm - src/StdPrs/StdPrs_WFDeflectionShape.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_WFRestrictedFace.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_WFRestrictedFace.hxx Diff ] File ]
add - src/StdPrs/StdPrs_WFShape.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_WFShape.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_WFSurface.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_Shape.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - tests/bugs/vis/bug129_2 Diff ] File ]
add - tests/bugs/vis/bug25300_1 Diff ] File ]
add - tests/bugs/vis/bug25300_2 Diff ] File ]
mod - tests/bugs/vis/bug25935 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-30 19:43 san New Issue
2014-09-30 19:43 san Assigned To => kgv
2014-09-30 19:43 san Priority normal => urgent
2014-09-30 19:44 san Relationship added related to 0022618
2014-10-01 11:51 kgv Relationship added related to 0025221
2014-10-06 13:15 kgv Assigned To kgv => dbp
2014-10-06 13:15 kgv Status new => assigned
2014-10-09 11:31 kgv Assigned To dbp => apl
2014-10-14 17:02 git Note Added: 0033074
2014-10-14 17:20 git Note Added: 0033075
2014-10-15 13:21 apl File Added: image_hilight_before.png
2014-10-15 13:21 apl File Added: image_hilight_after.png
2014-10-15 13:24 apl File Deleted: image_hilight_before.png
2014-10-15 13:24 apl File Deleted: image_hilight_after.png
2014-10-15 13:36 Timo Note Added: 0033126
2014-10-15 14:14 apl Note Added: 0033132
2014-10-15 16:06 Timo Relationship added related to 0025378
2014-10-15 16:06 Timo Note Added: 0033148
2014-10-17 19:35 apl File Added: isolines.png
2014-10-17 19:39 git Note Added: 0033291
2014-10-17 19:57 san Description Updated View Revisions
2014-10-21 17:22 apl File Added: isolines2.png
2014-10-21 17:43 git Note Added: 0033509
2014-10-22 14:25 apl File Added: twisted_isoline.png
2014-10-22 14:34 apl Note Added: 0033558
2014-10-22 17:54 apl File Added: tangent_projected_isoline.png
2014-10-22 17:59 apl Note Added: 0033582
2014-10-22 18:11 git Note Added: 0033583
2014-10-24 20:08 git Note Added: 0033710
2014-10-27 20:18 git Note Added: 0033748
2014-10-29 06:07 abv Note Added: 0033793
2014-10-29 19:11 apl Target Version 6.8.0 => 7.0.0
2014-11-07 16:19 git Note Added: 0034167
2015-03-17 17:14 san Assigned To apl => vpa
2015-03-30 17:05 vpa Relationship added related to 0025935
2015-03-31 19:04 git Note Added: 0039060
2015-04-06 13:15 abv Target Version 7.0.0 => 6.9.0
2015-04-14 18:52 git Note Added: 0039717
2015-04-15 19:38 git Note Added: 0039816
2015-04-16 12:12 git Note Added: 0039836
2015-04-16 19:45 git Note Added: 0039921
2015-04-16 20:13 git Note Added: 0039922
2015-04-17 12:10 git Note Added: 0039948
2015-04-17 13:15 git Note Added: 0039949
2015-04-17 15:21 vpa File Added: Moto_isos.png
2015-04-17 15:22 vpa File Added: F1_isos.png
2015-04-17 15:22 vpa File Added: bug25300_pencil.brep
2015-04-17 15:28 vpa Note Added: 0039959
2015-04-17 15:28 vpa Assigned To vpa => kgv
2015-04-17 15:28 vpa Status assigned => resolved
2015-04-17 15:28 vpa Steps to Reproduce Updated View Revisions
2015-04-17 15:34 vpa Note Edited: 0039959 View Revisions
2015-04-17 15:38 vpa Relationship added parent of 0026089
2015-04-17 23:30 kgv Note Added: 0040020
2015-04-17 23:30 kgv Assigned To kgv => vpa
2015-04-17 23:30 kgv Status resolved => assigned
2015-04-17 23:30 kgv Note Edited: 0040020 View Revisions
2015-04-17 23:32 kgv Note Edited: 0040020 View Revisions
2015-04-21 06:08 abv Target Version 6.9.0 => 7.1.0
2015-04-21 20:11 git Note Added: 0040085
2015-04-22 00:04 git Note Added: 0040086
2015-04-22 00:48 git Note Added: 0040087
2015-04-22 00:55 git Note Added: 0040088
2015-04-22 12:29 vpa Note Added: 0040097
2015-04-22 12:29 vpa Assigned To vpa => kgv
2015-04-22 12:29 vpa Status assigned => resolved
2015-04-22 23:56 kgv Note Added: 0040138
2015-04-22 23:56 kgv Assigned To kgv => vpa
2015-04-22 23:56 kgv Priority urgent => normal
2015-04-22 23:56 kgv Status resolved => assigned
2015-07-30 18:49 git Note Added: 0043714
2015-07-30 19:39 git Note Added: 0043715
2015-07-30 19:40 vpa Note Added: 0043716
2015-07-30 19:40 vpa Assigned To vpa => kgv
2015-07-30 19:40 vpa Status assigned => resolved
2015-07-31 09:31 kgv Note Added: 0043717
2015-07-31 09:31 kgv Assigned To kgv => bugmaster
2015-07-31 09:31 kgv Status resolved => reviewed
2015-07-31 09:31 kgv Target Version 7.1.0 => 7.0.0
2015-07-31 15:33 git Note Added: 0043757
2015-07-31 15:33 apv Note Added: 0043759
2015-07-31 15:34 apv Assigned To bugmaster => apv
2015-08-03 10:02 apv Note Added: 0043775
2015-08-03 10:02 apv Assigned To apv => vpa
2015-08-03 10:02 apv Status reviewed => assigned
2015-08-06 21:06 git Note Added: 0043895
2015-08-07 11:23 git Note Added: 0043899
2015-08-07 11:24 vpa Status assigned => resolved
2015-08-07 11:25 vpa Note Added: 0043900
2015-08-07 11:25 vpa Assigned To vpa => bugmaster
2015-08-07 11:25 vpa Status resolved => reviewed
2015-08-07 16:09 mkv Assigned To bugmaster => mkv
2015-08-07 16:12 mkv Note Added: 0043923
2015-08-07 16:12 mkv Assigned To mkv => vpa
2015-08-07 16:12 mkv Status reviewed => feedback
2015-08-07 16:20 git Note Added: 0043924
2015-08-07 16:21 vpa Note Added: 0043925
2015-08-07 16:21 vpa Assigned To vpa => mkv
2015-08-07 16:21 vpa Status feedback => resolved
2015-08-07 16:33 mkv Assigned To mkv => bugmaster
2015-08-07 16:33 mkv Status resolved => reviewed
2015-08-07 16:37 mkv Assigned To bugmaster => mkv
2015-08-10 11:41 mkv Note Added: 0043932
2015-08-10 11:41 mkv Assigned To mkv => vpa
2015-08-10 11:41 mkv Status reviewed => assigned
2015-08-10 21:17 git Note Added: 0043957
2015-08-11 17:19 git Note Added: 0043983
2015-08-11 17:27 git Note Added: 0043985
2015-08-11 17:28 vpa Note Added: 0043986
2015-08-11 17:28 vpa Assigned To vpa => apl
2015-08-11 17:28 vpa Status assigned => resolved
2015-08-13 15:40 apl Note Added: 0044089
2015-08-13 15:40 apl Assigned To apl => bugmaster
2015-08-13 15:40 apl Status resolved => reviewed
2015-08-13 19:25 git Note Added: 0044106
2015-08-13 19:52 mkv Assigned To bugmaster => mkv
2015-08-17 17:43 mkv Note Added: 0044354
2015-08-17 17:44 mkv Note Added: 0044355
2015-08-17 17:44 mkv Assigned To mkv => vpa
2015-08-17 17:44 mkv Status reviewed => assigned
2015-08-17 17:45 mkv Test case number => bugs vis bug25300_1, bug25300_2
2015-08-18 12:30 vpa Assigned To vpa => kgv
2015-08-18 12:30 vpa Status assigned => resolved
2015-08-18 12:31 vpa Note Added: 0044374
2015-08-18 12:31 vpa Assigned To kgv => bugmaster
2015-08-18 12:31 vpa Status resolved => reviewed
2015-08-18 13:20 mkv Assigned To bugmaster => mkv
2015-08-18 18:10 mkv Note Added: 0044390
2015-08-18 18:10 mkv Assigned To mkv => bugmaster
2015-08-18 18:10 mkv Status reviewed => tested
2015-08-21 13:40 ski Changeset attached => occt master 5ad8c033
2015-08-21 13:40 ski Assigned To bugmaster => ski
2015-08-21 13:40 ski Status tested => verified
2015-08-21 13:40 ski Resolution open => fixed
2015-10-16 16:23 git Note Added: 0046907
2015-10-16 16:23 git Note Added: 0046908
2015-10-16 16:23 git Note Added: 0046909
2015-10-16 16:23 git Note Added: 0046910
2015-10-16 16:23 git Note Added: 0046911
2015-10-16 16:23 git Note Added: 0046912
2015-10-16 16:23 git Note Added: 0046913
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed
2016-06-16 20:49 kgv Relationship added related to 0027596
2016-12-01 12:09 kgv Relationship added related to 0028181
2019-09-16 14:17 kgv Relationship added parent of 0030907


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker